Eclipse Platform Release 3.7

## org.eclipse.jface.text
Interface IInformationControlCreator

All Known Implementing Classes:
  AbstractReusableInformationControlCreator

    public interface IInformationControlCreator

Interface of a factory for information controls ( `IInformationControl`). In order to provide backward compatibility for clients of `IInformationControlCreator`, extension interfaces are used as a means of evolution. The following extension interfaces exist:

- `IInformationControlCreatorExtension` since version 3.0 introducing checks of whether existing information control can be reused and whether information control creators can replace each other.

Since:
  2.0
See Also:
  `IInformationControlCreatorExtension`

Method Summary
`IInformationControl` `createInformationControl(Shell parent)` Creates a new information control with the given shell as the control's parent.

Method Detail

### createInformationControl

    IInformationControl createInformationControl(Shell parent)

  Creates a new information control with the given shell as the control's parent.

  Parameters:
    `parent` - the parent shell
  Returns:
    the created information control

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.